/* global angular */
angular.module('starter.controllers').controller('ContactController', ['$scope', '$state', '$ionicPlatform', 'Globals', 'PushNotificationsService',
    function ($scope, $state, $ionicPlatform, Globals, PushNotificationsService) {

        $scope.content = {};

        $ionicPlatform.ready(function () {
            $scope.content = Globals.INFO().CONTACT_DATA;
            $scope.drawMap = function (lat, lng) {
                var latLng = new google.maps.LatLng(lat, lng);
                var mapOptions = {
                    center: latLng,
                    zoom: 15,
                    mapTypeId: google.maps.MapTypeId.ROADMAP,
                    timeout: 10000,
                    enableHighAccuracy: true,
                    draggable: false
                };
                $scope.map = new google.maps.Map(document.getElementById("map"), mapOptions);
                var marker = new google.maps.Marker({
                    map: $scope.map,
                    position: latLng,
                });
            };

            $scope.drawMap($scope.content.location.latitude, $scope.content.location.longitude);

            // Register push notifications if not registered yet
            PushNotificationsService.registerPushNotifications();
        });

        // Evento al pulsar sobre la url
        $scope.openUrl = function () {
            window.open($scope.content.website, '_system', 'location=yes');
        };

        // Evento al pulsar sobre el email
        $scope.sendEmail = function () {
            if (window.plugins && window.plugins.emailComposer) {
                window.plugins.emailComposer.showEmailComposerWithCallback(function (result) {
                    console.log("Response -> " + result);
                },
                        "EasyContext App Demo Support", // Subject
                        "", // Body
                        [$scope.content.email], // To
                        null, // CC
                        null, // BCC
                        false, // isHTML
                        null, // Attachments
                        null);                                // Attachment Data
            }
        };

        // Evento al pulsar sobre una red social
        $scope.openSocialNetwork = function (socialNetwork) {
            if (socialNetwork == 'facebook') {
                window.open($scope.content.social_network.facebook, '_system', 'location=yes');
            } else if (socialNetwork == 'twitter') {
                window.open($scope.content.social_network.twitter, '_system', 'location=yes');
            } else if (socialNetwork == 'youtube') {
                window.open($scope.content.social_network.youtube, '_system', 'location=yes');
            } else if (socialNetwork == 'linkedin') {
                window.open($scope.content.social_network.linkedin, '_system', 'location=yes');
            } else if (socialNetwork == 'google_plus') {
                window.open($scope.content.social_network.google_plus, '_system', 'location=yes');
            }
        };

        // Evento al pulsar sobre la dirección
        $scope.openMap = function () {
            if (cordova.platformId == 'ios') {
                window.open("http://maps.apple.com/?q=" + $scope.content.location.latitude + "," + $scope.content.location.longitude, '_system');
                return;
            }
            window.open("http://maps.google.com/?q=" + $scope.content.location.latitude + "," + $scope.content.location.longitude, '_system');
        };

        // Evento al pulsar el boton de volver atras
        $scope.back = function () {
            $state.go('main');
        };
    }]);