/* global angular */
angular.module('starter.controllers').controller('FavoritesController', ['$scope', '$state', 'Globals', 'PreferencesService', 'PushNotificationsService',
    function ($scope, $state, Globals, PreferencesService, PushNotificationsService) {

        $scope.contents = [];

        $scope.$on("$ionicView.beforeEnter", function (event, data) {
            $scope.contents = PreferencesService.getFavoriteContents();

            // Register push notifications if not registered yet
            PushNotificationsService.registerPushNotifications();
        });

        // Event when user tap in favourite item
        $scope.showContent = function (content) {
            Globals.SELECTED_CONTENT = content;
            Globals.CONTENTVIEW_OPENED_FROM = "favorites";
            $state.go('app.contentView');
        };

        $scope.getItemType = function (type) {
            return "FAV_ITEM_TYPE_" + (type.toUpperCase() === "WEBCONTENT" ? "WEB" : type.toUpperCase());
        };

    }]);