/* global angular */
angular.module('starter.services').factory('IBeaconService', ['$cordovaBeacon',
function($cordovaBeacon) {

    var beaconRegion = null;
    var scanning = false;

    return {
        
        // Funcion para comenzar la búsqueda de beacons
        startScanning: function(uuid) {
            if(!scanning) {
                $cordovaBeacon.requestAlwaysAuthorization();
                beaconRegion = $cordovaBeacon.createBeaconRegion('easyContext', uuid);
                $cordovaBeacon.startRangingBeaconsInRegion(beaconRegion);
                scanning = true;
            }
        },

        // Funcion para detener la búsqueda de beacons
        stopScanning: function() {
            if(scanning) {
                $cordovaBeacon.stopRangingBeaconsInRegion(beaconRegion);
                scanning = false;
            }
        }
	};
}]);