/* global $ */
angular.module('starter.services').factory('SocialProviders', ['$q', '$http','$timeout', 'Globals',
function($q, $http, $timeout, Globals) {
    return {
            
            // Función para obtener los datos de un usuario de Facebook
            getFacebookProfileInfo: function(access_token) {  
                var deferred = $q.defer();
                var promise = deferred.promise;

                $http.get("https://graph.facebook.com/v2.2/me", {params: {access_token: access_token, fields: "name,email,gender,birthday,picture", format: "json" }}).then(function(result) {
                    deferred.resolve(result);
                }, function(error) {
                    deferred.reject(error);
                });

                promise.success = function(fn) {
                    promise.then(fn);
                    return promise;
                }
                promise.error = function(fn) {
                    promise.then(null, fn);
                    return promise;
                }
                return promise;
            },

            // Función para obtener los datos de un usuario de Google
            getGoogleProfileInfo: function(access_token) {  
                var deferred = $q.defer();
                var promise = deferred.promise;

                $http.get("https://www.googleapis.com/oauth2/v2/userinfo", {params: {access_token: access_token}}).then(function(result) {
                    deferred.resolve(result);
                }, function(error) {
                    deferred.reject(error);
                });

                promise.success = function(fn) {
                    promise.then(fn);
                    return promise;
                }
                promise.error = function(fn) {
                    promise.then(null, fn);
                    return promise;
                }
                return promise;
            }
	};
}]);